Re: MKS S_Gen L V2.0 32bit Board with TMC2209


 

Yes, the MKS will work with 4.24.  I have it running 3.16 and works very well, but have not upgraded to 4.24 as I had no need so far.

I power mine with a 24V power supply.  If you use the TMC2209 drivers, be sure to set the jumpers to your desired microstep value.  You can also set to SPI mode if you use 2130 or 5160 drivers.

Also, be sure to update your config.h file as you will have all new boards / drivers / microstep values.

Otto

Join main@onstep.groups.io to automatically receive all group messages.